// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply plugin: 'org.sonarqube'
buildscript {
    repositories {
        jcenter()
        google()
        maven {url "https://plugins.gradle.org/m2/"}

    }
    dependencies {
        classpath 'com.android.tools.build:gradle:7.2.2'
        classpath 'org.sonarsource.scanner.gradle:sonarqube-gradle-plugin:3.4.0.2513'
    }
}

allprojects {
    repositories {
        jcenter()
        google()
        maven {
            url 'https://maven.google.com'
            name 'Google'
        }

        gradle.projectsEvaluated {
            tasks.withType(JavaCompile) {
                options.compilerArgs << "-Xlint:unchecked" << "-Xlint:deprecation"
            }
        }

    }
}